Core - Bug # 44617

Status: Resolved Priority: Must have
Author: Roland Waldner Category: IRRE

Created: 2013-01-17 Assigned To: Stanislas Rolland
Updated: 2013-11-08 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity:

Is Regression:

Sprint Focus:

Subject: You can not expand newly created, collapsed IRRE records which have a RTE field

Description
Scenario which produces the bug:
- IRRE
- "collapseAll" => 1 (TCA-appearance-setting) for the child IRRE record
- at least one RTE text field in the child record
This scenatio leads to the following bug: You can not expand newly created, collapsed records.

After clicking the save button you will be able to expand formerly created, collapsed records.

| guess there is some bad javascript interaction/collision between the RTE javascript and the list module/IRRE javascript.

Related issues:

related to TYPO3 CMS Usability Team - Suggestion # 36052: Visual improvements... Resolved
duplicated by news extension - Bug # 47388: add new Media Element "media elem... Closed 2013-04-19
History

#1 - 2013-01-17 19:28 - Roland Waldner

Tested in Chrome & Firefox 17.

#2 - 2013-02-01 18:33 - Roland

- Target version changed from 6.0.1 to 6.0.2

#3 - 2013-03-11 14:48 - Michael Staatz

This can also reproduced with the introductionpackage-6.0.2, 6.0.3, 6.0.4 and with the currend branch of the core from Git.

Tested it with news 1.4.0 and 2.0.0

Enable the "Use content element relation" and try to add an content element to an news.
Then you are in the same situation as describe above.

If you change the TCA - Setting to
'collapseAll' => 0

the it worked in my case.
best,

michael

#4 - 2013-04-22 21:08 - Georg Ringer

confirmed in 6.1

#5 - 2013-05-16 10:35 - Witali Rott

The Problem is, that the htmlarea.js is not in DOM when the Plugins are loaded.
Possibly t3lib/jsfunc.inline.js must be optimized. With Priority for MUST BE loaded Files
OR

Make the Plugins in one File with HTMLArea

OR

Always load RTE in BE

#6 - 2013-05-16 18:07 - Stanislas Rolland

Something changed in jsfunc.inline.js? Wonder when this got broken...

#7 - 2013-05-16 21:47 - Stanislas Rolland

Witali Rott wrote:

The Problem is, that the htmlarea.js is not in DOM when the Plugins are loaded.

Possibly t3lib/jsfunc.inline.js must be optimized. With Priority for MUST BE loaded Files
OR

Make the Plugins in one File with HTMLArea

OR

Always load RTE in BE

How do you come to this conclusion?
| tried the test extension attached to this issue.

When Create new is hit, the element is created and the RTE initialized. | do not see any error being raised at this stage. But then the expand action

does not work...

#8 - 2013-05-17 01:39 - Stanislas Rolland

I think this was broken by http:/forge.typo3.org/projects/typo3v4-core/repository/revisions/392f47b34a5559f2e50794369afbc4d60e840cbe

The RTE cannot be correctly sized when initialized inside a block hidden with display style property set to none. In Firefox, designMode or

contentEditable cannot be set when in this same context.

Therefore the RTE needs to know its containing blocks that may become hidden, and also have events set on changes to this state. In TYPOS, this is

provided by the nestedElements array.
http://forge.typo3.org/projects/typo3v4-core/repository/revisions/392f47b34a5559f2e50794369afbc4d60e840cbe

With IRRE inline elements, the containing div used to be hidden by setting the style display property. This was changed by the revision cited above.

The containing div gets hidden by setting a class on its parent. Moreover, this parent block is not part of the nestedElements array.

#9 - 2013-05-17 16:51 - Stanislas Rolland

Please test this change: https://review.typo3.org/#/c/20871/

#10 - 2013-05-17 17:29 - Nicolas Forgeot

It's work on 6.1.0 :) thx

#11 - 2013-05-17 18:41 - Stanislas Rolland

Nicolas Forgeot wrote:

It's work on 6.1.0 ;) thx

Thanks for testing!

#12 - 2013-05-17 19:48 - Stanislas Rolland
- Status changed from New to Resolved

- Assigned To set to Stanislas Rolland

- Target version changed from 6.0.2 to 6.0.5

Files
test.zip 981.7 kB 2013-01-17 Roland Waldner
